Bug 152065 - Multiple security issues in Mozilla
Multiple security issues in Mozilla
Status: CLOSED ERRATA
Product: Fedora Legacy
Classification: Retired
Component: mozilla (Show other bugs)
fc2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 12:59 EST by Andrew Gormanly
Modified: 2007-04-18 13:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 20:04:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Gormanly 2005-03-24 12:59:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7.3) Gecko/20040922

Description of problem:
There are multiple security issues with the version of Mozilla currently in Fedora Core 2.

A rebuild of the recent fix for Fedora Core 3 would go some way to fixing this issue.

Version-Release number of selected component (if applicable):
mozilla-1.7.3-0.2.0

How reproducible:
Always

Steps to Reproduce:
1. Read the FC3 security advisory
2. Notice there's not a similar one for FC2
3. Notice that there's no new Mozilla on the mirrors
  

Additional info:

The FC3 advisory notes:

--------------------------------------------------------------------
Fedora Update Notification
FEDORA-2005-249
2005-03-23
---------------------------------------------------------------------

Product     : Fedora Core 3
Name        : mozilla
Version     : 1.7.6
Release     : 1.3.2
Summary     : Web browser and mail reader
Description :
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability.

---------------------------------------------------------------------
Update Information:


A buffer overflow bug was found in the way Mozilla processes GIF images. It is possible for an attacker to create a specially crafted GIF image, which when viewed by a victim will execute arbitrary code as the victim. The Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name CAN-2005-0399 to this issue.

A bug was found in the way Mozilla responds to proxy auth requests. It is possible for a malicious webserver to steal credentials from a victims browser by issuing a 407 proxy authentication request. (CAN-2005-0147)

A bug was found in the way Mozilla displays dialog windows. It is possible that a malicious web page which is being displayed in a background tab could present the user with a dialog window appearing to come from the active page. (CAN-2004-1380)

A bug was found in the way Mozilla Mail handles cookies when loading content over HTTP regardless of the user's preference. It is possible that a particular user could be tracked through the use of malicious mail messages which load content over HTTP. (CAN-2005-0149)

A flaw was found in the way Mozilla displays international domain names. It is possible for an attacker to display a valid URL, tricking the user into thinking they are viewing a legitimate webpage when they are not. (CAN-2005-0233)

A bug was found in the way Mozilla handles pop-up windows. It is possible for a malicious website to control the content in an unrelated site's pop-up window. (CAN-2004-1156)

A bug was found in the way Mozilla saves temporary files. Temporary files are saved with world readable permissions, which could allow a local malicious user to view potentially sensitive data. (CAN-2005-0142)

A bug was found in the way Mozilla handles synthetic middle click events. It is possible for a malicious web page to steal the contents of a victims clipboard. (CAN-2005-0146)

A bug was found in the way Mozilla processes XUL content. If a malicious web page can trick a user into dragging an object, it is possible to load malicious XUL content. (CAN-2005-0401)

A bug was found in the way Mozilla loads links in a new tab which are middle clicked. A malicious web page could read local files or modify privileged chrom settings. (CAN-2005-0141)

A bug was found in the way Mozilla displays the secure site icon. A malicious web page can use a view-source URL targetted at a secure page, while loading an insecure page, yet the secure site icon shows the previous secure state. (CAN-2005-0144)

A bug was found in the way Mozilla displays the secure site icon. A malicious web page can display the secure site icon by loading a binary file from a secured site. (CAN-2005-0143)

A bug was found in the way Mozilla displays the download dialog window. A malicious site can obfuscate the content displayed in the source field, tricking a user into thinking they are downloading content from a trusted source. (CAN-2005-0585)

Users of Mozilla are advised to upgrade to this updated package which contains Mozilla version 1.7.6 to correct these issues.
Comment 1 Andrew Gormanly 2005-03-28 11:41:44 EST
Not cured by release of update to 1.7.6 in FEDORA-2005-248 due to missing
desktop-file-utils update.

[root@localhost root]# yum update
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - i386 - Base
Server: Fedora Core 2 - i386 - Released Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
....Unable to satisfy dependencies
Package mozilla needs desktop-file-utils >= 0.9, this is not available.
Comment 2 Matthew Miller 2005-04-11 18:19:24 EDT
[Bulk move of FC2 bugs to Fedora Legacy. See
<http://www.redhat.com/archives/fedora-announce-list/2005-April/msg00020.html>.]
Comment 3 Marc Deslauriers 2005-04-11 20:04:36 EDT
This was fixed by mozilla-1.7.6-1.2.5 currently in FC2 updates

Note You need to log in before you can comment on or make changes to this bug.